package require wind

proc select_file {txt} {
   variable ffile
   set ffile [tk_getOpenFile -title $txt ]
}

proc start {} {
   variable ffile
  
  # Start Excel
   if {[file exists {C:\Program Files\Microsoft Office\Office\EXCEL.EXE} ] } {
      exec {C:\Program Files\Microsoft Office\Office\EXCEL.EXE} &
   } else {
      puts "Can you update the script to point to your EXCAL.EXE file ?"
   }

   if {![::wind::waitwind {Microsoft Excel - Book1} 10]} {return abend}

   set fileid [open $ffile "r"]
   while {![eof $fileid]} {
      gets $fileid line
      set llist [split $line ";"]
      foreach elem $llist {
          ::wind::send $elem
         ::wind::send |RIGHT|
      }
      ::wind::send |DOWN|
      ::wind::send |HOME|
   }
   close $fileid
}

set ffile sample2data.txt
pack [frame .f1 ] -fill x -pady 5 -padx 5
pack [frame .f2 ] -fill x
pack [label .f1.l -text "Select a CSV file : "] -side left
pack [entry .f1.e -textvariable ffile] -side left -fill x -expand yes
pack [button .f1.b -text "..." -command {select_file "Select a CSV file"} ] -side right
pack [button .f2.start -text "START" -command start] -side bottom


